Subject: FW: Memorial Rally
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 8 Sep 2000 03:18:00 -0700 (PDT)

The President asked that I share with you this e-mail he sent to the
University Community.

> -----Original Message-----
> From: Swygert, H. Patrick
> Sent: Thursday, September 07, 2000 5:25 PM
> To: AllEmployees; Faculty; AllStudents
> Subject: Memorial Rally
>
> Colleagues:
>
> At noon tomorrow, Friday, September 8, 2000, the Howard University Student
> Association is sponsoring a rally to bring attention to the recent police
> shooting in nearby Virginia of Howard University student, Prince C. Jones
> Jr.  The rally will be in front of Douglass Hall.
>
> I recently met and shared with the father of Prince Jones, Jr., Mr. Prince
> Jones, Sr., our sorrow and sympathies.  But we must do more.  We must
> clearly, forcefully and with resolve express our outrage and unwillingness
> to stand  by in silence while our youth are subject to racial profiling
> and police violence.  Please join me in celebrating the life of Prince
> Jones, Jr. and in letting our students know that we stand with them.
>
> I look forward to seeing you there.
>
> Sincerely,
>
> H. Patrick Swygert
> President